Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.render.actions
Class EnhancedPrintActionHelper

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.printing.render.actions.EnhancedPrintActionHelper

All Implemented Interfaces:
  IPrintActionHelper

public class EnhancedPrintActionHelper
extends java.lang.Object
implements IPrintActionHelper

Enhanced printing. The doPrint() method will invoke a dialog prompting the user to choose options for printing. The user will be able to choose from printing diagrams of the current type. If possible, the IFile path of the appicable diagrams will be displayed to the user, when prompting the user to select a diagram for printing. If the diagram does not correspond to an IFile, its part name will be used as the next choice. This class implements the IPrintActionHelper interface that can be passed into Print Preview, enabling the print action from there.

Constructor Summary
`EnhancedPrintActionHelper()`

Method Summary
`void` `doPrint(IWorkbenchPart workbenchPart)` Show the print dialog and print

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedPrintActionHelper

    public EnhancedPrintActionHelper()

Method Detail

### doPrint

    public void doPrint(IWorkbenchPart workbenchPart)

  Show the print dialog and print

  Specified by:
    `doPrint` in interface `IPrintActionHelper`
  Parameters:
    `workbenchPart` - the workbench part containing the diagram to print

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.